Skip to content

Add customer contacts

POST
/merchants/{merchantCode}/customers/{customerId}/contacts
curl --request POST \
--url https://customer.shopgate.io/v1/merchants/example/customers/example/contacts \
--header 'Content-Type: application/json' \
--data '{ "contacts": [ { "externalContactCode": "357709b0-9378-470b-976e-1b040e29b97b", "status": "active", "firstName": "John", "middleName": "Doug", "lastName": "Doe", "companyName": "Shopgate Inc", "address1": "12 Somestreet", "address2": "", "address3": "", "address4": "", "city": "Austin", "postalCode": "78732", "region": "TX", "country": "US", "additionalFields": { "dhlPostBoxNumber": "example", "dhlPostNumber": "example" }, "phone": "000-000-0000", "fax": "000-000-0000", "mobile": "000-000-0000", "emailAddress": "somelocation@someRetailer.com", "isDefaultShipping": false, "isDefaultBilling": false, "externalUpdateDate": "2026-04-15T12:00:00Z" } ] }'

Add customer contacts

merchantCode
required
string
customerId
required
string
Media typeapplication/json
object
contacts
required
Array
object
externalContactCode

External identifier of the contact

string | null
Example
357709b0-9378-470b-976e-1b040e29b97b
status
string
default: active
Allowed values: active inactive deleted
Example
active
firstName
required
string
Example
John
middleName
string | null
Example
Doug
lastName
required
string
Example
Doe
companyName
string | null
Example
Shopgate Inc
address1
string
Example
12 Somestreet
address2
string | null
Example
address3
string | null
Example
address4
string | null
Example
city
string
Example
Austin
postalCode
string
Example
78732
region
string
Example
TX
country
string
Example
US
additionalFields
object
dhlPostBoxNumber

Number of a postbox

string | null
>= 1 characters <= 5 characters
dhlPostNumber

Number of a post

string | null
>= 1 characters <= 10 characters
phone

Validated according to country code

string | null
Example
000-000-0000
fax

Validated according to country code

string | null
Example
000-000-0000
mobile

Validated according to country code

string | null
Example
000-000-0000
emailAddress
string format: email
Example
somelocation@someRetailer.com
isDefaultShipping
boolean
Example
true
isDefaultBilling
boolean
Example
true
externalUpdateDate
string format: date-time

Contacts created

Media typeapplication/json
object
ids
Array<string>
Example
{
"ids": [
"87f1dd94-5b8c-11e9-bcee-bfe9849008be"
]
}
  • More than one primary contact passed
  • Invalid contact type(s) passed
Media typeapplication/json

Merchant or customer not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Examplegenerated
{
"code": "example",
"message": "example"
}